[arch-commits] Commit in radare2-cutter/trunk (PKGBUILD)

Levente Polyak anthraxx at archlinux.org
Mon May 13 20:30:24 UTC 2019


    Date: Monday, May 13, 2019 @ 20:30:23
  Author: anthraxx
Revision: 467170

upgpkg: radare2-cutter 1.8.1-2 (switch back to git)

Modified:
  radare2-cutter/trunk/PKGBUILD

----------+
 PKGBUILD |   33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-13 19:53:06 UTC (rev 467169)
+++ PKGBUILD	2019-05-13 20:30:23 UTC (rev 467170)
@@ -2,35 +2,38 @@
 # Contributor: Aaron McDaniel (mcd1992) <'aur' at the domain 'fgthou.se'>
 
 pkgname=radare2-cutter
+_gitcommit=800594551b8f0bb9104f2b6e83de6ece5fa62913
 pkgver=1.8.1
-pkgrel=1
+pkgrel=2
 pkgdesc='Qt and C++ GUI for radare2 reverse engineering framework'
 url='https://github.com/radareorg/cutter'
 arch=('x86_64')
 license=('GPL3')
 depends=('radare2' 'capstone' 'qt5-base' 'qt5-svg' 'qt5-webengine' 'icu' 'python' 'jupyter')
-makedepends=('cmake')
-source=("$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz")
+makedepends=('git' 'cmake')
+source=(${pkgname}::"git+https://github.com/radareorg/cutter#commit=${_gitcommit}")
 sha512sums=('SKIP')
 
+pkgver() {
+  cd ${pkgname}
+  git tag -d deploy-test-pancake>/dev/null 2>&1||true
+  git describe --always --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
 build() {
-  mkdir -p cutter-$pkgver/build
-  cd cutter-$pkgver/build
-
+  mkdir -p ${pkgname}/build
+  cd ${pkgname}/build
   qmake ../src/Cutter.pro
-
   make
 }
 
 package() {
-  cd cutter-$pkgver
-
-  install -Dm 755 build/Cutter -t "$pkgdir/usr/bin"
-  install -Dm 644 src/org.radare.Cutter.desktop -t "$pkgdir/usr/share/applications"
-  install -Dm 644 src/img/cutter.svg -t "$pkgdir/usr/share/icons/hicolor/scalable/apps"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-
-  cp -a docs/* "$pkgdir/usr/share/doc/$pkgname"
+  cd ${pkgname}
+  install -Dm 755 build/Cutter -t "${pkgdir}/usr/bin"
+  install -Dm 644 src/org.radare.Cutter.desktop -t "${pkgdir}/usr/share/applications"
+  install -Dm 644 src/img/cutter.svg -t "${pkgdir}/usr/share/icons/hicolor/scalable/apps"
+  install -d "${pkgdir}/usr/share/doc/${pkgname}"
+  cp -a docs/* "${pkgdir}/usr/share/doc/${pkgname}"
 }
 
 # vim: ts=2 sw=2 et:


More information about the arch-commits mailing list